This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 996936 - [origin_runtime_209]Traffics don't go to other haproxy instances except for head gear for app with multiple haproxies
[origin_runtime_209]Traffics don't go to other haproxy instances except for h...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 06:17 EDT by Meng Bo
Modified: 2015-05-14 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:50:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
haproxy_status_headgear (209.33 KB, image/png)
2013-08-14 06:17 EDT, Meng Bo
no flags Details
haproxy_status_othergear (198.56 KB, image/png)
2013-08-14 06:18 EDT, Meng Bo
no flags Details

  None (edit)
Description Meng Bo 2013-08-14 06:17:30 EDT
Created attachment 786484 [details]
haproxy_status_headgear

Description of problem:
Create scalable app and  send much traffic to it,  it will be scaled up automatically, for eg: it has scaled up to  10 gears with 5 haproxy instances running.
Use ab to keep sending request to the app, all the traffics are going to the haproxy instance on the head gear, but no sessions in the secondary haproxy instances(non head gear haproxies). (see attached haproxy_status page for head gear and other gear)

Version-Release number of selected component (if applicable):
devenv_3647

How reproducible:
always

Steps to Reproduce:
1. Set the multiplier to 2 and max to 5 for haproxy cartridge
2. Create scalable app
3. Use ab to trigger auto-scaling on the scalable app
4. Check the session from the haproxy-status for each haproxy instance.

Actual results:
Only the haproxy on the head gear can receive the requests.

Expected results:
Traffics should go to all the load balancers.

Additional info:
And when disable the haproxy_ctld on the head gear. The app cannot be visited anymore.
Comment 1 Meng Bo 2013-08-14 06:18:19 EDT
Created attachment 786485 [details]
haproxy_status_othergear
Comment 2 Mrunal Patel 2013-08-14 11:07:36 EDT
Hi,
An additional routing layer has to be added that load balances the traffic to the
ha proxies (out of scope for this card). Otherwise, for testing you can have multiple abs sending traffic directly to the different haproxies using their OPENSHIFT_GEAR_DNS at the same time.

Thanks,
Mrunal
Comment 3 Meng Bo 2013-08-16 09:01:31 EDT
According to comment#2
When sending request via ab to the secondary haproxies, the traffics go to the other haproxies.

move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.